"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("../utils/fs");
const path = require("path");
/**
 * Copies the certificate file at `sourcePath` to the correct location within
 * the APK's `decodeDir`, so it can then be referenced in the Network Security
 * Config.
 */
async function copyCertificateFile(decodeDir, sourcePath) {
    const rawDir = path.join(decodeDir, `res/raw/`);
    await fs.mkdir(rawDir, { recursive: true });
    const destinationPath = path.join(rawDir, path.basename(sourcePath));
    await fs.copyFile(sourcePath, destinationPath);
}
exports.default = copyCertificateFile;
