"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globby = require("globby");
const observe_async_1 = require("../utils/observe-async");
const process_file_1 = require("./smali/process-file");
const build_glob_1 = require("../utils/build-glob");
async function disableCertificatePinning(directoryPath, task) {
    return observe_async_1.default(async (log) => {
        const smaliGlob = build_glob_1.default(directoryPath, 'smali*/**/*.smali');
        let pinningFound = false;
        log('Scanning Smali files...');
        for await (const filePathChunk of globby.stream(smaliGlob)) {
            // Required because Node.js streams are not typed as generics
            const filePath = filePathChunk;
            const hadPinning = await process_file_1.default(filePath, log);
            if (hadPinning)
                pinningFound = true;
        }
        if (!pinningFound)
            task.skip('No certificate pinning logic found.');
    });
}
exports.default = disableCertificatePinning;
