"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
/** Build a glob pattern that works on POSIX and Windows. */
function buildGlob(...components) {
    // Convert Windows path (using backslashes) to POSIX path (using slashes)
    const unixComponents = components.map(component => component.split(path.sep).join(path.posix.sep));
    return path.posix.join(...unixComponents);
}
exports.default = buildGlob;
